Page MenuHomeFreeBSD

riscv: Add various pmap definitions needed to support SV48 mode
ClosedPublic

Authored by markj on Feb 14 2022, 10:29 PM.

Details

Summary

No functional change intended.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb added a subscriber: jhb.
jhb added inline comments.
sys/riscv/include/vmparam.h
183–186

Does it make sense to include the _SV48 constants in this commit?

This revision is now accepted and ready to land.Feb 14 2022, 11:56 PM
This revision now requires review to proceed.Feb 15 2022, 3:19 PM
This revision is now accepted and ready to land.Feb 15 2022, 5:41 PM
alc added inline comments.
sys/vm/pmap.h
97–103 ↗(On Diff #102799)

I don't see why this is defined in the MI-level pmap,h as opposed to riscv/include/pmap.h.

markj marked an inline comment as done.

Define pmap_mode in the right header.

This revision now requires review to proceed.Feb 18 2022, 2:03 PM
This revision was not accepted when it landed; it landed in state Needs Review.Mar 1 2022, 2:40 PM
This revision was automatically updated to reflect the committed changes.